/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Mon Apr 29 17:48:15 CEST 2002
    copyright            : (C) 2002 by Christian Nitschkowski
    email                : segfault_ii@web.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <kaboutapplication.h>
#include <klocale.h>
//#include <kuniqueapplication.h>

#include "oooqs.h"

static const char *description =
	I18N_NOOP("OpenOffice.org Quickstarter");
	
static KCmdLineOptions options[] =
{
	{ 0, 0, 0 }
	// INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{

	KAboutData aboutData( "oooqs", I18N_NOOP("OpenOffice.org Quickstarter"),
		VERSION, description, KAboutData::License_GPL,
		"(c) 2002, Christian Nitschkowski", 0, 0, "segfault_ii@web.de");
	aboutData.addAuthor("Christian Nitschkowski",0, "segfault_ii@web.de");
	aboutData.addCredit("Sebastian Latz", I18N_NOOP("Thanks for some good suggestions"));
	KCmdLineArgs::init( argc, argv, &aboutData );
	KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

	KApplication a;
	OooQs *oooqs = new OooQs(new KAboutApplication(&aboutData));
	a.setMainWidget(oooqs);
//	a.enableSessionManagement(false);
	oooqs->show();

	return a.exec();
}
