/***************************************************************************
                          prefdialogimpl.h  -  description
                             -------------------
    begin                : Die Apr 30 2002
    copyright            : (C) 2002 by Christian Nitschkowski
    email                : segfault_ii@web.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PREFDIALOGIMPL_H
#define PREFDIALOGIMPL_H

#include <qwidget.h>
#include <prefdialog.h>

/**The implementation for the prefDialog-class.
  *@author Christian Nitschkowski
  */

class prefDialogImpl : public prefDialog  {
   Q_OBJECT
public: 
	prefDialogImpl(QWidget *parent=0, const char *name=0);
	~prefDialogImpl();
signals: // Signals
	/** Will be emitted on executing the accept-slot. */
	void success();
public slots:
    void accept();
};

#endif
